/* 
 * %Z%%W% %I%
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 * IBM Java(tm)2 SDK, Standard Edition, v 1.4 
 *
 * (C) Copyright IBM Corp. 1998 , 2002. All Rights Reserved
 * (C) Copyright Sun Microsystems Inc. 1997 , 2002. All Rights Reserved
 * ===========================================================================
 */


package com.sun.tools.example.debug.bdi;

import java.util.EventListener;

public interface SpecListener extends EventListener {

    void breakpointSet(SpecEvent e);
    void breakpointDeferred(SpecEvent e);
    void breakpointDeleted(SpecEvent e);
    void breakpointResolved(SpecEvent e);
    void breakpointError(SpecErrorEvent e);

    void watchpointSet(SpecEvent e);
    void watchpointDeferred(SpecEvent e);
    void watchpointDeleted(SpecEvent e);
    void watchpointResolved(SpecEvent e);
    void watchpointError(SpecErrorEvent e);

    void exceptionInterceptSet(SpecEvent e);
    void exceptionInterceptDeferred(SpecEvent e);
    void exceptionInterceptDeleted(SpecEvent e);
    void exceptionInterceptResolved(SpecEvent e);
    void exceptionInterceptError(SpecErrorEvent e);
}
