/*
 * @(#)src/classes/sov/javax/print/attribute/PrintServiceAttribute.java, awt, as1411, 20040217 1.4.2.1
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM SDK, Java(tm) 2 Technology Edition, v1.4.1
 * (C) Copyright IBM Corp. 2000, 2002. All Rights Reserved
 * ===========================================================================
 */

/*
 * ===========================================================================
 * Copyright 2002 Sun Microsystems, Inc. All rights reserved.
 * ===========================================================================
 */


/* 
 *
 * Change activity:
 *
 * Reason  Date   Origin    Description
 * ------  ----   ------    -------------------------------------------------- 
 * 36460  081101 slattery  Add IBM module header; 
 *
 * ===========================================================================
 * Module Information:
 * 
 * DESCRIPTION: IBM.WRITEME
 * ===========================================================================
 */


package javax.print.attribute;

/**
 * Interface PrintServiceAttribute is a tagging interface which a printing 
 * attribute class implements to indicate the attribute describes the status 
 * of a Print Service or some other characteristic of a Print Service. A Print 
 * Service instance adds a number of PrintServiceAttributes to a Print
 * service's attribute set to report the Print Service's status. 
 * <P>
 *
 * @see PrintServiceAttributeSet
 *
 * @author  Alan Kaminsky
 */
public interface PrintServiceAttribute extends Attribute {
}
